interface IFilter {
    attribute: string;
    operator?: string;
    value: any;
}

declare class AbstractCrudService<T> {
    private crudService;
    constructor(tableName: string, idColumnName?: string, partitionKey?: string | null);
    create(entity: T): Promise<T>;
    find(filters?: Record<string, unknown>): Promise<(T | null)[]>;
    findById(filters: string | IFilter[]): Promise<T | null>;
    update(filters: string | IFilter[], data: Partial<T>): Promise<T | null>;
    remove(filters: string | IFilter[]): Promise<void>;
}

export { AbstractCrudService };
